org.licas.ws.wsdl.model

## Class WsdlBinding

- java.lang.Object
- - org.licas.ws.wsdl.model.WsdlInterface
  - - org.licas.ws.wsdl.model.WsdlBinding

-     public class WsdlBinding
      extends WsdlInterface

  This class stores service binding details.
  Author:
    Kieran Greer

- - ### Field Summary

    - ### Fields inherited from class org.licas.ws.wsdl.model.WsdlInterface

      `fault, name, operations`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsdlBinding(java.lang.String thisName)` Create a new instance of WsdlBinding.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getStyle()` Get the binding style.
    `java.lang.String` | `getTransport()` Get the binding transport uri.
    `java.lang.String` | `getType()` Get the binding type.
    `void` | `setStyle(java.lang.String thisStyle)` Set the style for the binding.
    `void` | `setTransport(java.lang.String thisTransport)` Set the transport uri for the binding.
    `void` | `setType(java.lang.String thisType)` Set the type for the binding.

    - ### Methods inherited from class org.licas.ws.wsdl.model.WsdlInterface

      `addOperation, containsOperation, getDocumentation, getFault, getName, getOperations, setDocumentation, setFault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsdlBinding

          public WsdlBinding(java.lang.String thisName)

      Create a new instance of WsdlBinding.
      Parameters:
        `thisName` - the port name.

  - ### Method Detail

    - #### setStyle

          public void setStyle(java.lang.String thisStyle)

      Set the style for the binding.
      Parameters:
        `thisStyle` - the style type.

    - #### getStyle

          public java.lang.String getStyle()

      Get the binding style.
      Returns:
        the value of style.

    - #### setType

          public void setType(java.lang.String thisType)

      Set the type for the binding.
      Parameters:
        `thisType` - the binding type.

    - #### getType

          public java.lang.String getType()

      Get the binding type.
      Returns:
        the value of type.

    - #### setTransport

          public void setTransport(java.lang.String thisTransport)

      Set the transport uri for the binding.
      Parameters:
        `thisTransport` - the transport uri.

    - #### getTransport

          public java.lang.String getTransport()

      Get the binding transport uri.
      Returns:
        the value of transport.